<template>
  <div class="quiz-survey-answer">
    <!-- Type Quiz 2 - Survey -->
    <div class="row pt-5 answer-game" v-if="typeAnswer === 'quiz-2' || (typeAnswer && typeAnswer.includes('survey'))">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">{{ nameCompute }} answer</p>
      </div>
      <div class="col col-12 col-lg-9 skiptranslate">
        <div class="row" :class="typeAnswer">
          <div class="col col-12 col-lg-6 position-relative mb-3" v-for="(item, ind) in answerValue" :key="ind">
            <label :for="`input-answer-${item.key}`" class="form-label position-absolute">
              <div class="rounded fw-bolder d-flex align-items-center justify-content-center text-light">
                {{ item.key }}
              </div>
            </label>
            <input
              type="text"
              class="form-control"
              :id="`input-answer-${item.key}`"
              :value="item.content"
              @input="updateAnswerValue($event, item.key)"
            />
          </div>
        </div>
      </div>
    </div>
    <!-- End Type Quiz 2 - Survey -->

    <!-- <div class="row pt-5 answer-game" v-if="typeAnswer === 'quiz-3'">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Quiz answer</p>
      </div>
      <div class="col col-12 col-lg-9">
        <textarea name="game-content" id="game-content" cols="30" rows="4" class="form-control"></textarea>
      </div>
      <div class="col col-12 d-flex justify-content-end pt-3">
        <button class="btn btn-danger rounded-pill">Submit</button>
      </div>
    </div> -->
  </div>
</template>

<script>
export default {
  props: {
    typeAnswer: String,
    answerValue: Array,
    idProp: Number
  },
  computed: {
    nameCompute() {
      return this.typeAnswer && this.typeAnswer.includes("quiz") ? "Quiz" : "Survey";
    }
  },
  methods: {
    updateAnswerValue(e, key) {
      this.$emit("update-answer-value", { content: e.target.value, key });
    }
  }
};
</script>

<style scoped>
.quiz-survey-answer > .row {
  width: 100%;
  margin-left: 0;
}
.correct-answer-game label > div,
.answer-game label > div {
  height: 38px;
  width: 38px;
}

.correct-answer-game .title-text,
.answer-game .title-text {
  font-size: 22px;
}
.correct-answer-game input,
.correct-answer-game textarea,
.answer-game input,
.answer-game textarea {
  border: 3px solid #d6d6d7;
  border-radius: 22px;
}
.answer-game input {
  height: 60px;
}
.answer-game label[for^="input-answer"] div {
  background: #bbb;
}
.answer-game label[for^="input-answer"] {
  top: 50%;
  left: 32px;
  transform: translateY(-50%);
}
.answer-game input {
  padding-left: 62px;
}

.correct-answer-game.survey-game label {
  font-size: 32px;
}
.survey-1 > .col:nth-child(n + 3) {
  display: none !important;
}
.survey-2 > .col:nth-child(4) {
  display: none !important;
}
</style>
